
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>CentOS下Tmux安装和使用 / 憋错料</title>

    <meta name="description" content="CentOS下Tmux安装和使用 Tmux介绍: Tmux是BSD实现的Screen替代品,相对于Screen,它更加先进:支持屏幕切分,而且具备丰富的命令行参数,使其可以灵活.动态的进行各种布局和操作.它可以做到一条命令就启动起来(强大的配置),左侧是终端,右侧是Vim,下面来一个gdb——总之它就是一个灵活的IDE,任仍你配置. 效果如下图: 安装: 接下来,我们讲讲如何安装tmux. 环境:CentOS CentOS的软件安装工具不是apt-get  是yum 安装tmux之前需要先安装一些支持的组件: yum insta">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">CentOS下Tmux安装和使用</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>Tmux介绍：</p>
<p>Tmux是BSD实现的Screen替代品，相对于Screen，它更加先进：支持屏幕切分，而且具备丰富的命令行参数，使其可以灵活、动态的进行各种布局和操作。它可以做到一条命令就启动起来(强大的配置)，左侧是终端，右侧是Vim，下面来一个gdb&mdash;&mdash;总之它就是一个灵活的IDE，任仍你配置。</p>
<p>效果如下图：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3d3LmxpbnV4aWRjLmNvbS91cGxvYWQvMjAxNF8xMS8xNDExMTMxOTQwODMyMS5wbmc=.jpg" /></p>
<p>安装：</p>
<p>接下来，我们讲讲如何安装tmux。</p>
<p>环境：<a href="http://www.linuxidc.com/topicnews.aspx?tid=14" rel="external nofollow noreferrer">CentOS</a></p>
<p>CentOS的软件安装工具不是apt-get&nbsp; 是yum</p>
<p>安装tmux之前需要先安装一些支持的组件：</p>
<p>yum install libevent-devel ncurses-devel</p>
<p>接下来就是下载源码包进行安装了，这里要说明一点：到目前为止，tmux的最新版本是1.8，但进过我测试1.8在编译的时候会出现小小的问题，所以建议选择低一点的版本，1.6/1.7均可。</p>
<p>wget http://downloads.sourceforge.net/tmux/tmux-1.6.tar.gz<br />tar zxvf tmux-1.6.tar.gz<br />cd tmux-1.6<br />./configure<br />make<br />make install</p>
<p>这样就OK啦！</p>
<p><strong>使用</strong>：</p>
<p>C代表ctrl键</p>
<p>tmux命令及使用<br />&nbsp;<br />tmux #开启tmux<br />tmux ls #显示已有tmux列表（C-b s）<br />tmux attach-session -t 数字 #选择tmux<br />&nbsp;<br />C-b c 创建一个新的窗口&nbsp; &nbsp;&nbsp;<br />C-b n 切换到下一个窗口<br />C-b p 切换到上一个窗口<br />C-b l 最后一个窗口,和上一个窗口的概念不一样哟,谁试谁知道<br />c-b w 通过上下键选择当前窗口中打开的会话<br />&nbsp;<br />C-b 数字 直接跳到你按的数字所在的窗口<br />C-b &amp; 退出当前窗口<br />C-b d 临时断开会话 断开以后,还可以连上的哟:)<br />C-b " 分割出来一个窗口 （横向）<br />C-b % 分割出来一个窗口 （纵向）<br />&nbsp;<br />C-b o 在小窗口中切换&nbsp; &nbsp;&nbsp;<br />C-b (方向键)<br />C-b ! 关闭所有小窗口<br />C-b x 关闭当前光标处的小窗口<br />C-b t 钟表<br />C-b pageup/pagedo</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 08:03:43 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/http/" title="http">http</a>, <a href="https://www.biecuoliao.com/tag/%e4%bd%bf%e7%94%a8/" title="使用">使用</a>, <a href="https://www.biecuoliao.com/tag/for/" title="for">for</a>, <a href="https://www.biecuoliao.com/tag/strong/" title="strong">strong</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>CentOS下Tmux安装和使用的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38NOBZM.html" rel="bookmark">Docker在CentOS下的安装</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				工欲善其事,必先利其器. 在我们以后的Docker学习中,都推荐使用CentOS6.5作为学习平台,毕竟Docker的内核也是基于Linux的.本文主要分享笔者在CentOS下的安装Docker的过程. 安装环境:CentOS6.5. 第一步: 首先进入Docker的官方文档,我们迅速找到CentOS下的安装说明. 在CentOS6以后的版本中,Docker包必须在EPEL库中获取,所以我们必须先安装EPEL.如果不了解EPEL(Extra Package for Enterprise Linu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kXVK73.html" rel="bookmark">centos下yum安装lamp和lnmp轻松搞定</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				centos下yum安装lamp和lnmp轻松搞定,到底多轻松你看就知道了,妈妈再也不担心不会装lamp了. 很辛苦整理的安装方法,会持续更新下去.凡无法安装的在评论里贴出问题来,会尽快解决.共同维护一个可用yum可用更新. 软件列表:php5.4 apache2.2 mysql5.5 nginx1.8 centos6.x rpm -Uvh http://nginx.org/packages/centos/6/noarch/RPMS/nginx-release-centos-6-0.el6.ng			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4Nzv6G4.html" rel="bookmark">CentOS下Redisserver安装配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.CentOS 6.6下Redis安装配置记录 2.CentOS下Redisserver安装配置			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0aAVnn0.html" rel="bookmark">CentOS下Apache安装SSL</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				CentOS下Apache安装SSL https是一个安全的访问方式,数据在传输过程中是加密的.https基于ssl. 一.安装apache和ssl模块1.安装apacheyum install httpd2.安装ssl模块yum install mod_ssl重启apache:service httpd restart安装完mod_ssl会创建一个默认的SSL证书,路径位于/etc/pki/tls ,此时可以立即通过https访问服务器了:https://IP/如果不使用默认的证书,也可以使用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBYR6g4.html" rel="bookmark">Centos下Yum安装PHP5&period;5&comma;5&period;6&comma;7&period;0</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Centos下Yum安装PHP5.5,5.6,7.0 默认的版本太低了,手动安装有一些麻烦,想采用Yum安装的可以使用下面的方案: 1.检查当前安装的PHP包 yum list installed | grep php 如果有安装的PHP包,先删除他们 yum remove php.x86_64 php-cli.x86_64 php-common.x86_64 php-gd.x86_64 php-ldap.x86_64 php-mbstring.x86_64 php-mcrypt.x86_64 			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dNGmZ4.html" rel="bookmark">centos 下编译安装mysql5&period;1与mysql5&period;5</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				mysql5.1.60编译安装 1.tar -zxvf mysql* 2../configure 之前要make clean ./configure --prefix=/home/shk/mysql-5.1.60 \ --enable-local-infile \ --with-unix-socket-path=/home/shk/mysql-5.1.60/var/mysql.sock \ --with-tcp-port=5506 \ --enable-thread-safe-client \			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ODO9g4.html" rel="bookmark">centos下smartctl安装配置&lpar;硬盘S&period;M&period;A&period;R&period;T信息及坏块检测命令&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				centos下smartctl安装配置 一.什么是S.M.A.R.T. SMART是一种磁盘自我分析检测技术,早在90年代末就基本得到了普及 每一块硬盘(包括IDE.SCSI)在运行的时候,都会将自身的若干参数记录下来 这些参数包括型号.容量.温度.密度.扇区.寻道时间.传输.误码率等 硬盘运行了几千小时后,很多内在的物理参数都会发生变化 某一参数超过报警阈值,则说明硬盘接近损坏 此时硬盘依然在工作,如果用户不理睬这个报警继续使用 那么硬盘将变得非常不可靠,随时可能故障. 二.安装 yum in			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M65KnX4.html" rel="bookmark">centos下yum安装mysql5&period;6后，无法启动 MySQL Daemon failed to start</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如果是全新安装应该就不会出现这个问题,升级安装的话,要运行 mysql_upgrade ,但是启动MYSQL就报错MySQL Daemon failed to start 如此就没办法运行mysql_upgrade升级MYSQL表了 因为是全新安装的数据库服务器就不管老数据了,直接把老的MYSQL数据库文件夹删除了,然后 运行 mysql_install_db 单独执行下命令,初始化mysql,test等数据库 初始化所有数据库以后,依然是无法启动,检查了MYSQL的日志发现没有权限,因为是RO			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0j2Pde0.html" rel="bookmark">CentOS下配置安装Nagios</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				CentOS下配置安装Nagios 一.Nagios简介 Nagios是一款开源的电脑系统和网络监视工具,能有效监控Windows.Linux和Unix的主机状态,交换机路由器等网络设置,打印机等.在系统或服务状态异常时发出邮件或短信报警第一时间通知网站运维人员,在状态恢复后发出正常的邮件或短信通知. Nagios原名为NetSaint,由Ethan Galstad开发并维护至今.NAGIOS是一个缩写形式: &quot;Nagios Ain't GonnaInsist On Sainthood&quot			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/V0b6a90.html" rel="bookmark" class="title">python正则非贪婪模式</a>
					<div>
						上一篇python正则匹配次数大家应该也发现了,除了?其他匹配次数规则都是尽可能多的匹配 那如果只想匹配1次怎么办呢,这就是正则中非贪婪模式的概念了 原理就是利用?与其他匹配次数规则进行组合 +?   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Z0YvbJ3.html" rel="bookmark" class="title">关于高并发下网站高可用性问题的总结</a>
					<div>
						本文是工作中遇到的网站高并发问题及相关解决思路和方法的总结,比较零碎,且会在后续工作过程中不停丰富,有不对之处,请指正. 1.前后端分离 前后端分离后,可以使用更加轻量级的web容器部署静态资源,如n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38N7dRM.html" rel="bookmark" class="title">Mono及MonoDevelop安装</a>
					<div>
						一.简介 Mono是一个由Novell公司(由Ximian发起并由Miguel de lcaza领导的)主持的项目,是一个致力于开创.NET在Linux上使用的开源工程.它包含了一个C#语言的编译器, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/412lzXM.html" rel="bookmark" class="title">Eclipse3&period;7常用插件</a>
					<div>
						首先声明我是用的Eclipse版本是V3.7 ========================================================================== 一. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KyYnO4.html" rel="bookmark" class="title">Ceph源码解析：CRUSH算法</a>
					<div>
						1.简介 随着大规模分布式存储系统(PB级的数据和成百上千台存储设备)的出现.这些系统必须平衡的分布数据和负载(提高资源利用率),最大化系统的性能,并要处理系统的扩展和硬件失效.ceph设计了CRUS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nE9kVM.html" rel="bookmark" class="title">用分治法实现快排</a>
					<div>
						#include &quot;stdio.h&quot; /* * 显示数组 * 只显示begin 到 end 下标间的数据到对应位置. * 如,数组为 13, 17, 12 并先后执行: * sho ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bYwPLM.html" rel="bookmark" class="title">读书笔记 effective c&plus;&plus; Item 41 理解隐式接口和编译期多态</a>
					<div>
						1. 显示接口和运行时多态 面向对象编程的世界围绕着显式接口和运行时多态.举个例子,考虑下面的类(无意义的类), 1 class Widget { 2 public: 3 Widget(); 4 vi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4ARPkbM.html" rel="bookmark" class="title">Spring框架的一些基础知识</a>
					<div>
						Spring 框架 Spring 框架是一个分层架构,由 7 个定义良好的模块组成.Spring 模块构建在核心容器之上,核心容器定义了创建.配置和管理 bean 的方式,如图 1 所示. 图 1.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49rlmgM.html" rel="bookmark" class="title">ThreadLocal生成多线程WebClient</a>
					<div>
						package test; //www.cnblogs.com/chenying99/articles/3213544.html import com.gargoylesoftware.htmluni ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e5Lwg0.html" rel="bookmark" class="title">Object-C判断手机&lpar;固话&rpar;号码是否合法</a>
					<div>
						- (BOOL)isMobileNumber:(NSString *)mobileNum {     /*      * 手机号码      * 中国移动号段:134.135.136.137.138. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lWW5bM.html" rel="bookmark" class="title">自己写了文件管理器出现问题，求解救</a>
					<div>
						============问题描述============ 手机连上电脑,用自己写的文件管理器,删除或新建文件夹后在手机上可以显示,但是电脑上看不到新建的文件夹或删除的文件夹不会消失(就是不会刷新,断开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aYxbP0.html" rel="bookmark" class="title">又拍云&mdash;&mdash;图像处理师</a>
					<div>
						云处理平台开发工程师 工作地:杭州 岗位职责:负责云处理平台研发工作: 岗位要求: 扎实的 C 语言编程基础及算法优化能力: 至少能够熟练使用一门脚本语言(Python.Ruby.Lua 等)进行日常 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AZJ1KM.html" rel="bookmark" class="title">图像全参考客观评价算法比较</a>
					<div>
						Lin Zhang等人在论文&lt;A COMPREHENSIVEEVALUATION OF FULL REFERENCE IMAGE QUALITY ASSESSMENT ALGORITHMS&gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mgle7g0.html" rel="bookmark" class="title">2016-10-8</a>
					<div>
						1目标 js 10个 安卓5个 反射5个 JDBC 5个 JAVAWEB 5个 2完成情况 3自我评估 js中的原型和一些函数间的关系似乎难以理解,很奇怪的语法,与传统的面向对象语言有着很大的差异性, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47ez210.html" rel="bookmark" class="title">js收缩菜单</a>
					<div>
						效果图: css代码: 1 ul{ 2 padding:0; 3 font-family:Microsoft Yahei; 4 } 5 ul li{ 6 list-style-type:none; 7 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPJ9D63.html" rel="bookmark" class="title">Java Hibernate 之 Session 状态</a>
					<div>
						Session接口是Hibernate向程序提供操纵数据库的最主要接口,是单线程对象,它提供了基本的保存.更新.删除和查询方法.它有一个缓存,保存了持久化对象,当清理缓存时,按照这些持久化对象同步更新 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZQxmg0.html" rel="bookmark" class="title">javascript将json转字符串</a>
					<div>
						例如: var last=obj.toJSONString(); //将JSON对象转化为JSON字符 或者 var last=JSON.stringify(obj); //将JSON对象转化为JSO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLxqjyM.html" rel="bookmark" class="title">查看库索引情况</a>
					<div>
						declare @db_id int declare @object_id int set @db_id = DB_ID(N'heb000') set @object_id = OBJECT_ID(N ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49wEoA0.html" rel="bookmark" class="title">三大运营商电话号码监测</a>
					<div>
						&lt;!DOCTYPE html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt; &lt;meta charset=&quot;UTF-8&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPgw8z4.html" rel="bookmark" class="title">也谈OpenFlow&comma; SDN&comma; NFV</a>
					<div>
						Copyright (2014) 郭龙仓. All Rights Reserved. OpenFlow 传统的网络环境中,仅仅有路由器/交换机之间的接口/协议是标准化的,可是在网络设备内部,数据平面和 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
